Type to search.

Get Deployment Elasticsearch Resource Info

Auth

Get info about an Elasticsearch Resource belonging to a given Deployment.

Path parameters

deployment_id string required

Identifier for the Deployment

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

show_security boolean · default: false

Whether to include the Elasticsearch 2.x security information in the response - can be large per cluster and also include credentials.

show_metadata boolean · default: false

Whether to include the full cluster metadata in the response - can be large per cluster and also include credentials.

show_plans boolean · default: true

Whether to include the full current and pending plan information in the response - can be large per cluster.

show_plan_logs boolean · default: false

Whether to include with the current and pending plan information the attempt log - can be very large per cluster.

show_plan_history boolean · default: false

Whether to include with the current and pending plan information the plan history- can be very large per cluster.

show_plan_defaults boolean · default: false

If showing plans, whether to show values that are left at their default value (less readable but more informative).

convert_legacy_plans boolean · default: false

If showing plans, whether to leave pre-2.0.0 plans in their legacy format (the default), or whether to update them to 2.0.x+ format (if 'true').

show_system_alerts integer · default: 0

Number of system alerts (such as forced restarts due to memory limits) to be included in the response - can be large per cluster. Negative numbers or 0 will not return field.

show_settings boolean · default: false

Whether to show cluster settings in the response.

enrich_with_template boolean · default: true

If showing plans, whether to enrich the plan by including the missing elements from the deployment template it is based on.

clear_transient boolean · default: false

If set (defaults to false) then removes the transient section from all child resources, making it safe to reapply via an update

Responses

Standard response.

application/json
ref_id string required

The locally-unique user-specified id of a Resource

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The information for an Elasticsearch cluster.

cluster_id string required

The id of the cluster

cluster_name string required

The name of the cluster

deployment_id string

The id of the deployment that this Elasticsearch belongs to.

healthy boolean required

Whether the cluster is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

Cluster status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about the current, pending, and past Elasticsearch cluster plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the Elasticsearch cluster plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
elasticsearch object required

Information about the Elasticsearch cluster.

healthy boolean required

Whether the Elasticsearch cluster is healthy (check the sub-objects for more details if not)

shard_info object required
Warning

This endpoint is deprecated and scheduled to be removed in the next major version. Use shards_status instead.

Information about the shards and replicas that comprise the Elasticsearch indices.

healthy boolean required

Whether the shard situation is healthy (any unavailable shards is unhealthy)

available_shards object[] required
instance_name string required

The Elastic Cloud name/id of the instance (container)

shard_count integer · format: int32 required

The number of shards of the given type (available/unavailable) on this instance

unavailable_shards object[] required
instance_name string required

The Elastic Cloud name/id of the instance (container)

shard_count integer · format: int32 required

The number of shards of the given type (available/unavailable) on this instance

unavailable_replicas object[] required
instance_name string required

The Elastic Cloud name/id of the instance (container)

replica_count integer · format: int32 required

The number of unavailable replicas on this instance

master_info object required

Information about the master nodes in the Elasticsearch cluster.

healthy boolean required

Whether the master situation in the cluster is healthy (ie is the number of masters != 1), or do any instances have no master

masters object[] required
master_node_id string required

The Elasticsearch node id of a master node

master_instance_name string

The corresponding instance name of the container hosting the Elasticsearch master node, if available

instances string[] required

The names of the instance/container hosting the node belong to the cluster with the given master

instances_with_no_master string[] required

A list of any instances with no master

blocking_issues object required
Warning

This endpoint is deprecated and scheduled to be removed in the next major version. Use cluster_blocking_issues instead

Issues that prevent the Elasticsearch cluster or index from operating correctly.

healthy boolean required

Whether the cluster has issues (false) or not (true)

cluster_level object[] required

A list of issues that affect availability of entire cluster

description string required

Description of the issue

instances string[] required

A list of instances that are affected by the issue

index_level object[] required

A list of issues that affect availability of the cluster's indices

description string required

Description of the issue

instances string[] required

A list of instances that are affected by the issue

metadata object required

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

version integer · format: int32 required

The resource version number of the cluster metadata

last_modified string · format: date-time required

The most recent time the cluster metadata was changed (ISO format in UTC)

endpoint string

The DNS name of the cluster endpoint, if available

service_url string

The full URL to access this deployment resource

aliased_endpoint string

The DNS name of the cluster endpoint derived from the deployment alias, if available

aliased_url string

The full aliased URL to access this deployment resource

cloud_id string

The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana (only present if both exist)

raw object

An unstructured JSON representation of the public and internal state (can be filtered out via URL parameter). The contents and structure of the raw field can change at any time.

topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

healthy boolean required

Whether the cluster topology is healthy (ie all instances are started and the services they run - ie elasticsearch - are available

instances object[] required
instance_name string required

The name of the instance in Elastic Cloud

service_version string

The version of the service that the instance is running (eg Elasticsearch or Kibana), if available

healthy boolean required

Whether the instance is healthy (ie started and running)

container_started boolean required

Whether the container has started (does not tell you anything about the service -ie Elasticsearch- running inside the container)

service_running boolean required

Whether the service launched inside the container -ie Elasticsearch- is actually running

maintenance_mode boolean required

Whether the service is is maintenance mode (meaning that the proxy is not routing external traffic to it)

zone string

The zone in which this instance is being allocated

allocator_id string

The id of the allocator on which this instance is running (if the container is started or starting)

service_roles string[]

List of roles assigned to the service running in the instance. Currently only populated for Elasticsearch, with possible values: master,data,ingest,ml

node_roles enum[]

A list of the node roles assigned to the service running in the instance. Currently populated only for Elasticsearch.

Values: master ingest ml data_hot data_content data_warm data_cold data_frozen remote_cluster_client transform voting_only
associated_kibana_clusters object[] required
kibana_id string required

The Kibana cluster Id

enabled boolean required

Whether the associated Kibana cluster is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

associated_apm_clusters object[] required
apm_id string required

The APM cluster Id

enabled boolean required

Whether the associated APM cluster is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

associated_appsearch_clusters object[] required
app_search_id string required

The App Search Id

enabled boolean required

Whether the associated App Search is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

associated_enterprise_search_clusters object[] required
enterprise_search_id string required

The Enterprise Search Id

enabled boolean required

Whether the associated Enterprise Search is currently available

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

snapshots object required

Information about the snapshot status for the Elasticsearch cluster. For example, the health status.

healthy boolean required

Health status of snapshots for this cluster

count integer · format: int32 required

Number of snapshots stored for this cluster

latest_successful boolean

Latest snapshot status

latest_status string

Status of the latest snapshot attempt, if any exist.

scheduled_time string · format: date-time

Scheduled time of next snapshot attempt

latest_end_time string · format: date-time

The end time of the most recently attempted snapshot

latest_successful_end_time string · format: date-time

The end time of the most recently successful snapshot

recent_success boolean required

Indicates whether the cluster has a relatively recent successful snapshot.

External resources related to the cluster

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this cluster belongs to. Only populated in SaaS or federated ECE.

locked boolean

Whether or not this cluster is locked. Only populated in SaaS.